View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005415ParaView(No Category)public2007-07-26 16:242009-05-13 13:59
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0005415: Feature: Reverse selection
DescriptionI have had two groups ask for the ability to do a reverse selection. What I mean is to allow the user to open the Element Inspector, to enter a Cell Id in the element inspector window, and have the cell highlighted in the main window. Allowing the user to input the blockId would be wonderful also. If this is easy, I would call it a high priority. If not, medium.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0008753)
Berk Geveci (administrator)
2007-08-29 15:24

We started working on this. You can currently use the selection inspector to type ids (global and index) to select points and elements. In 3.4, we will have support for showing only these in the spreadsheet view.
(0009310)
Utkarsh Ayachit (administrator)
2007-09-27 11:28

Added ability to show only the selected elements in the spreadsheet view. There's a new check box on the display panel to show selected entires
alone.

/cvsroot/ParaView3/ParaView3/Qt/Components/pqSpreadSheetDisplayEditor.cxx,v <-- pqSpreadSheetDisplayEditor.cxx
new revision: 1.4; previous revision: 1.3
/cvsroot/ParaView3/ParaView3/Qt/Components/Resources/UI/pqSpreadSheetDisplayEditor.ui,v <-- pqSpreadSheetDisplayEditor.ui
new revision: 1.4; previous revision: 1.3
/cvsroot/ParaView3/ParaView3/Qt/Core/pqSpreadSheetViewModel.cxx,v <-- pqSpreadSheetViewModel.cxx
new revision: 1.12; previous revision: 1.11
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMBlockDeliveryRepresentationProxy.cxx,v <-- vtkSMBlockDeliveryRepresentationProxy.cxx
new revision: 1.6; previous revision: 1.5
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMBlockDeliveryRepresentationProxy.h,v <-- vtkSMBlockDeliveryRepresentationProxy.h
new revision: 1.5; previous revision: 1.4
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMSpreadSheetRepresentationProxy.cxx,v <-- vtkSMSpreadSheetRepresentationProxy.cxx
new revision: 1.2; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMSpreadSheetRepresentationProxy.h,v <-- vtkSMSpreadSheetRepresentationProxy.h
new revision: 1.2; previous revision: 1.1
/cvsroot/ParaView3/ParaView3/Servers/ServerManager/Resources/rendering.xml,v <-- rendering.xml
new revision: 1.254; previous revision: 1.253
(0011358)
Utkarsh Ayachit (administrator)
2008-04-15 16:52

We already support showing only the selected, cells or points in the spreadsheet view.
(0011421)
Alan Scott (manager)
2008-04-17 18:32

Wow, great!
Tested client/server.

- Issue History
Date Modified Username Field Change
2007-08-29 15:24 Berk Geveci Note Added: 0008753
2007-08-29 15:24 Berk Geveci Assigned To Berk Geveci => Utkarsh Ayachit
2007-08-29 15:24 Berk Geveci Category => 3.2
2007-08-29 15:25 Berk Geveci Category 3.2 => 3.4
2007-09-27 11:28 Utkarsh Ayachit Note Added: 0009310
2008-04-15 16:52 Utkarsh Ayachit Status tabled => @80@
2008-04-15 16:52 Utkarsh Ayachit Resolution open => fixed
2008-04-15 16:52 Utkarsh Ayachit Note Added: 0011358
2008-04-17 18:32 Alan Scott Status @80@ => closed
2008-04-17 18:32 Alan Scott Note Added: 0011421
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker